Warehouse Installer

Rating: 
4.727275
Your rating: None Average: 4.7 (11 votes)

'Warehouse Installer' will help you with Warehouse installation on clean devices.

Since Nokia has closed harmattan repositories, some Warehouse dependencies are unreacheble by default. This package will fix that.

You need to enable application installation from uncertified sources:
Select Phone Settings and Applications > Installations, and activate Allow installations from non-Store sources.

PR1.3 firmware required.

You need to install N9RepoMirror application, to remove offline Nokia repositories, and add working mirrors.

This small video guide will help you with installation: http://youtu.be/sbQ2KogPQJY

Screenshots: 
Application versions: 
AttachmentSizeDate
File warehouse-installer_0.0.3_armel.deb93.28 KB13/05/2014 - 21:16
Changelog: 

warehouse-installer (0.0.3) stable; urgency=low * Tokens update

Comments

arty's picture

Давно искал подобное решение, но что-то подзабыл. Всё сделал, всё установил, но вот беда, соглашусь что репозиторий Ноклы умер и обновлений дефакто там никаких нет, ибо я устанавливал последние. Но вот у меня другой траблшут. Не могу установить ни одно приложение из Вархауза. Пишет ошибку при открытии данного приложения: Reject send message, 3 matched rules; type="method_call", sender=":1.351" (uid=29999 pid=2574.... и увы дальше не вижу списка ошибки.

Если тема ещё актуальна, и есть возможность решить мою проблему, отпишитесь пожалуйста.

basil's picture

Надо убедиться что установлен N9RepoMirror (скачать отдельный deb и поставить), включить режим разработчика, в терминале от root выполнить команду "dpkg -i /opt/warehouse/policy/openrepos-source-policy_1.0.0_armel.deb" удалить и заново поставить warehouse. Installer должен это автоматизировать, но , видимо, не получилось.

arty's picture

N9RepoMirror версии 0.6.0 был установлен изначально, включил режим разработчика и установил warehouse. Прошло Н-ое количество времени установил версию 0.7.2 и всё. Попробую сделать всё поновой.

moddwe's picture

I have the same problem,

Repomirror is intalled

Developer mood is on

when i try to install warehouse from warehouse installer it gives error of "Rejected send message 3 matched rule ......". is there any way way to fix it?

i used apt-get update and it gave a lot of errors "failed to fetch " and "could not resolve  harmatten.openrepos.net"

basil's picture

If you have same problem, you need to do same thing: execute "dpkg -i /opt/warehouse/policy/openrepos-source-policy_1.0.0_armel.deb" as root, and reinstall warehouse.

moddwe's picture

it says e-policy_1.0.0_armel.deb not found.

basil's picture

Make sure warehouse (not warehouse-installer) is installed, and you type command without mistakes

moddwe's picture

warehouse is installed i reinstalled it and i typed the command as it is still "not found". Although during this applications were checked for updates and i installed the harmoji update succesfully. but when i try to install any app from warehouse it throws the same error "rejected send message 3...."

basil's picture

if it says "not found", then you have error in command you type. command is exactly

dpkg -i /opt/warehouse/policy/openrepos-source-policy_1.0.0_armel.deb

make screenshot of your terminal window with command and error message

moddwe's picture

after i re-entered the command i missed the space. and now after it executed it showed this result.

basil's picture

source policy is installed. execute as root "apt-get update", then uninstall and re-install warehouse.

moddwe's picture

Its working. Thanks a lot !!! for both to make this available and to help out setting it up :)

arty's picture

Прошу прощения, что так долго, времени не хватает на проверку. Сделал я всё как требовалось, выполнил команду описанную выше, всё установилось без ошибок. Магазин Warehouse работает, однако, ни одно приложение я не могу установить, ошибка похожая, только цыфры всегда разные, вот пример: Launch helper exited with unknown return code 1, или Rejected send message, 3 matched rules; type="method_call", sender=":1.2044" (uid=29999 pid=1945...

Не подскажите как дальше решить данную проблему?

arty's picture

Решил переустановить Warehouse, (старый удалил) при попытке установить сыпится ошибка:

Rejected send message, 3 matched rules; type="method_call", sender=":1.2548" (uid=29999 pid=6179 comm="/opt/warehouse-installer/bin/waregouse-installer ") interface="com.nokia.package_manager" member="refresh_package_cache" error name="(unset)" requested_reply=0 destination="com.nokia.package_manager" (uid=0 pid 6038 comm="/usr/bin/pkgmgrd "))

Я осознаю, что зря это решил сделать, но ответа не последовало, и я подумал что стоит повторить так же, как и у того же пользователя, которому Вы ответили и посоветовали сделать.

basil's picture

Надо выполнить те же действия, которые я указал в первом сообщении:

  1. Проверить что установлен N9RepoMirror
  2. Включить режим разработчика.
  3. Установить warehouse
  4. Выполнить команду "dpkg -i /opt/warehouse/policy/openrepos-source-policy_1.0.0_armel.deb"  от имени root, для установки политики.
  5. Выполнить apt-get update
  6. Удалить warehouse
  7. Установить warehouse

 

pbox's picture

Hi Basil, first of all, many thanks for your work with both repositories for N9. I have recently reflashed my phone after having it bricked with nfs-kernel-server dependencies. Then had a bad spell installing your warehouse repo which bricked my phone again (it was stuck with Nokia logo, not going any further). I have tried to find nfs-kernel-server via apt-get and nothing comes up. Any idea where to find the package and its dependencies? I think portmap might also be needed... Thanks again!

basil's picture

Try to install N9RepoMirror, do apt-get update, then then search for the package.

Pras4's picture

maybe? The joke is, if I connect through the integrated webbrowser to https://coderus.openrepos.net/n9mirror/ I see the file tree. But if I try to connect to https://coderus.openrepos.net/ there is no answer to show. :(

basil's picture

There is no joke. http://coderus.openrepos.net gives you valid empty page, as it should. apt-get shows only domain name, and not full URI. You can get full URIs from apt sources list files.

Pras4's picture

I don't know why, but I tried to execute an apt-get update through a deb file and become following output.

Get:1 exec:////usr/bin/osa --packages
Err https://coderus.openrepos.net ./ Release.gpg
  Could not resolve host: coderus.openrepos.net (Domain name not found)
Err https://coderus.openrepos.net ./ Release.gpg
  Could not resolve host: coderus.openrepos.net (Domain name not found)
Err https://coderus.openrepos.net ./ Release.gpg
  Could not resolve host: coderus.openrepos.net (Domain name not found)
Updating desktop entries... Done

 

basil's picture

OpenRepos performed infrastructure updates during this weekend, including dns zone changes. Maybe dns server you are using did not get an update, so try again later. Or your phone internet connection is not working right now.

Pras4's picture

Hi Basil, I have reflashed my N9 with PR 1.3 009, but haven't success with N9Repomirror and Warehouse-Installer. If I install Repomirror 0.7.2 or 0.6.0 and want to update, there are no updates found. Developer mode can't install on N9. Warehouse-Installer say always "ERROR: Some parts of the cache could not be refreshed."

Is there a way to modify the aegis.ssu-keyring-009.list (if Repomirror 0.7.2) or in addition aegis.ssu-keyring-001.list (if Repomirror 0.6.0)?

basil's picture

RepoMirror 0.7.2 should truncate all aegis files to zero size, so all should work as expected. Make sure you have active internet connection, and https://openrepos.net/ is accessible from your device.

Pras4's picture

Right, I see 009 is 0B. I load every time the 0.7.2.deb from openrepos, but if I check for updates or try to active developer mode there is no success. RepoMirror don't show any error in application view and Warehouse-Installer don't install warehouse.

With browser there is no problem to access openrepos.net...

fundi's picture

been trying to get root access for the past one year. Am finally conceeding that nokia n9 is simply dead and done with. However,i love this phone and am still trying to use it to the end. The Aegis (001) files on my phone say that they are corrupt and cannot be opened. i have tried all the repo mirrors and following all procedures to the letter. Please find an alternative route to enabling dp mode so i can install android on this phn.

Ayadkarem's picture

What is this problem (invalid installation package)

basil's picture

Package you are trying to install is not installation package, does not match your phone firmware version, or it is corrupted. Make sure you have downloaded package here, and you run package on the phone.

Ayadkarem's picture

Yes when i try to installing

basil's picture

Install N9RepoMirror , enable developer mode, and proceed directly install Warehouse.

Ayadkarem's picture

I installed ,but developer mode not enable ,when it try to download necessary file that wont ,show me this message (can't complete the download.connection to the application provider was lost.try again later.

Pages